package main

import org.junit.Test

import org.junit.jupiter.api.Assertions.*

class MainKtTest {

    @Test
    fun valid_file_names() {
        val validFileNames = listOf("example", "file123", "my-file_01")

        for (fileName in validFileNames) {
            val isValid = isValidFileName(fileName)
            assertEquals(true, isValid, "Expected $fileName to be a valid file name")
        }
    }

    @Test
    fun invalid_file_names() {
        val invalidFileNames = listOf("file name", "file*123", "my/file")

        for (fileName in invalidFileNames) {
            val isValid = isValidFileName(fileName)
            assertEquals(false, isValid, "Expected $fileName to be an invalid file name")
        }
    }


}